Subject: Re: [Bug 10071] kernel hang in inet_init (PREEMPT_RCU problem)

From: "Paul E. McKenney" <[email-masked]>
Date: Fri, 29 Feb 2008 08:58:01 -0800

On Fri, Feb 29, 2008 at 07:53:23AM +0100, Yannick wrote:
> (In reply to comment #20)
> > Reply-To: [email-masked]
> >
> > Would you be willing to try your test again after applying the
> > patch in http://lkml.org/lkml/2008/2/2/11 and rebuilding your
> > kernel?
> >
> > This patch does not appear to be in 2.6.25-rc3.  :-(
> >
> > I am reposting this patch separately.
> >
> >                                                         Thanx, Paul
> 
> Congratulations Paul and thanks a lot to Jarek , It works,
> no more hang or slow boot :
> [1.061675] Calling initcall 0xc03b8e10: inet_init+0x0/0x3ba()
> [1.061895] NET: Registered protocol family 2
> [1.339007] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
> [1.339470] TCP established hash table entries: 131072 (order: 8, 1048576 
> bytes)
> [1.340375] TCP bind hash table entries: 65536 (order: 9, 2359296 bytes)
> [1.349809] TCP: Hash tables configured (established 131072 bind 65536)
> [1.349906] TCP reno registered
> [1.098514] initcall 0xc03b8e10: inet_init+0x0/0x3ba() returned 0.
> [1.098604] initcall 0xc03b8e10 ran for 32 msecs: inet_init+0x0/0x3ba()

Thank you very much for testing this, Yannick!

Andrew and Ingo have this patch on track to merge into a later -rc
of 2.6.25, so we will get there.  ;-)

						Thanx, Paul